EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [options] input_file [output_file]

Polera böcker handlar om att sätta glans av perfektion på dina noggrant utformade e-böcker.

Polering försöker minimera ändringarna i den interna koden av din e-bok. Till skillnad från konvertering, plattar den inte ut CSS, byter namn på filer, ändrar teckensnittsstorlekar, justerar marginaler osv. Varje åtgärd utför endast minsta uppsättning av ändringar som krävs för önskad effekt.

Du bör använda det här verktyget som det sista steget i din e-bokskaparprocess.

Observera att polering endast fungerar på filer av formaten AZW3 eller EPUB.

När du skickar argument till ebook-polish som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

[ALTERNATIV]

--add-soft-hyphens, -H
    Lägg till mjuka bindestreck till alla ord i boken. Det här gör att boken kan renderas bättre när texten är justerad, hos läsenheter som inte stöder avstavning.

--compress-images, -i
    Komprimerar förlustfritt bilder i boken, för att minska filstorleken, utan att påverka bildkvaliteten.

--cover, -c
    Sökvägen till en omslagsbild. Ändrar omslag angivit i boken. Om inget omslag finns, eller omslaget inte är korrekt identifierade, infogas ett nytt omslag.

--embed-fonts, -e
    Bädda in alla teckensnitt som refereras i dokumentet och som inte redan är inbäddade. Detta kommer att skanna din dator efter teckensnitt, och om de finns, kommer de att bäddas in i dokumentet. Se till att du har rätt licens för att bädda in teckensnitt som används i detta dokument.

--help, -h
    visa denna hjälptext och avsluta

--jacket, -j
    Infoga ett "bokomslag" i början av boken som innehåller alla om bokens metadata som titel, taggar, författare, serier, kommentarer, osv. Alla tidigare bokomslag kommer att ersättas.

--opf, -o
    Sökväg till en OPF-fil. Metadata i boken uppdateras från OPF-filen.

--remove-jacket
    Ta bort tidigare infogat bokomslag.

--remove-soft-hyphens
    Ta bort mjuka bindestreck från all text i boken.

--remove-unused-css, -u
    Ta bort alla oanvända CSS-regler från formatmallar och <format>taggar. Vissa böcker skapade från produktionsmallar kan ha ett stort antal extra CSS-regler som inte matchar något faktiskt innehåll. Dessa extra regler kan sakta ner läsenheter som behöver analysera dem alla.

--smarten-punctuation, -p
    Konvertera bindestreck, ellipser, citattecken, flertal bindestreck osv. till deras typografiskt korrekta motsvarigheter. Observera att algoritmen ibland kan skapa felaktiga resultat, särskilt när enkla citattecken i början av sammandragningar är inblandade.

--subset-fonts, -f
    Underuppsätta teckensnitt innebär att man reducerar ett inbäddat teckensnitt så att det endast innehåller de tecken som används från det teckensnittet i boken. Detta minskar storleken på teckensnittsfilerna (halvering av teckensnittsfilstorlekar är vanligt). Till exempel, om boken använder ett specifikt teckensnitt för rubriker, kommer underuppsättningen att minska teckensnittet så att det endast innehåller de tecken som finns i själva rubrikerna i boken. Eller om boken bäddar in de fet och kursiva versionerna av ett teckensnitt, men fet och kursiv text är relativt sällsynt, eller helt saknas, kan fetstil och kursiv teckensnitt antingen reduceras till bara några få tecken eller tas bort helt. Den enda nackdelen med att underuppsätta teckensnitt är att om du vid ett senare tillfälle bestämmer dig för att lägga till mer text i dina böcker kanske den nyligen tillagda texten inte täcks av teckensnittet för delmängden.

--upgrade-book, -U
    Uppgradera bokens interna strukturer, om möjligt. Till exempel uppgraderar EPUB 2 böcker till EPUB 3 böcker.

--verbose
    Producera mera utförligt utmatning, användbart för felsökning.

--version
    visar programmets versionsnummer och avsluta

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal